from django import forms
from django.db.models import fields
from .models import Product #,EmployeeUser
from django.utils.translation import ugettext, ugettext_lazy as _
from pos.models import Bill


class FileForm(forms.Form):
    docfile = forms.FileField(label='Select a file')

class ProductForm(forms.ModelForm):
    class Meta:
        model = Product
        exclude = ['manager']    

class BillForm(forms.ModelForm):
    class Meta:
        model = Bill
        exclude = ['manager']    

class EmployeeForm(forms.Form):
    username = forms.CharField(label=_('username '), required=True)
    password = forms.CharField(label=_('password '), required=True)
    note = forms.CharField(label=_('note '), required=False)

class SendProductID(forms.Form):
    pid = forms.CharField(required=False)

